"""
Advanced modules for AutoPipelineDoctor.

This package contains advanced, cutting-edge modules that provide sophisticated
functionality beyond the core features of AutoPipelineDoctor.
"""

from autopd.advanced.neuro_behavioral_pattern_clustering import NeuroBehavioralPatternClustering
from autopd.advanced.autonomous_optimization_loop_injection import AutonomousOptimizationLoopInjection
from autopd.advanced.causal_fault_tree_analysis import CausalFaultTreeAnalysis
from autopd.advanced.latent_loss_surface_mapping import LatentLossSurfaceMapping
from autopd.advanced.synthetic_model_shadowing import SyntheticModelShadowing
from autopd.advanced.hardware_aware_learning_curve_forecasting import HardwareAwareLearningCurveForecasting
from autopd.advanced.anomaly_activated_alert_system import AnomalyActivatedAlertSystem
from autopd.advanced.llm_connected_think_tank import LLMConnectedThinkTank
from autopd.advanced.dna_tracker import DNATracker
from autopd.advanced.real_time_model_cognition import RealTimeModelCognition
from autopd.advanced.quantum_inspired_optimization_pathfinder import QuantumInspiredOptimizationPathfinder
from autopd.advanced.federated_training_synchronization_monitor import FederatedTrainingSynchronizationMonitor
from autopd.advanced.adversarial_robustness_analyzer import AdversarialRobustnessAnalyzer
from autopd.advanced.integration import enable_advanced_features

__all__ = [
    'NeuroBehavioralPatternClustering',
    'AutonomousOptimizationLoopInjection',
    'CausalFaultTreeAnalysis',
    'LatentLossSurfaceMapping',
    'SyntheticModelShadowing',
    'HardwareAwareLearningCurveForecasting',
    'AnomalyActivatedAlertSystem',
    'LLMConnectedThinkTank',
    'DNATracker',
    'RealTimeModelCognition',
    'QuantumInspiredOptimizationPathfinder',
    'FederatedTrainingSynchronizationMonitor',
    'AdversarialRobustnessAnalyzer',
    'enable_advanced_features'
]
